Page MenuHomeFreeBSD

tests/sys/opencrypto: enable armv8crypto
ClosedPublic

Authored by val_packett.cool on Jul 21 2019, 7:28 PM.
Tags
Referenced Files
Unknown Object (File)
Sat, Apr 20, 3:38 PM
Unknown Object (File)
Fri, Apr 19, 7:11 AM
Unknown Object (File)
Fri, Apr 19, 4:45 AM
Unknown Object (File)
Tue, Apr 16, 11:20 PM
Unknown Object (File)
Sun, Apr 14, 2:33 PM
Unknown Object (File)
Mar 17 2024, 2:03 AM
Unknown Object (File)
Mar 9 2024, 8:50 PM
Unknown Object (File)
Mar 9 2024, 8:50 PM
Subscribers

Details

Summary

The tests were useful for adding XTS (D21017) and will no doubt be useful for adding more of the things :)

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Could you please test this change out on amd64?

Thank you for the submission :)!

tests/sys/opencrypto/runtests.sh
67 ↗(On Diff #59995)

Please use a switch statement here, e.g.,

case “${cpu_type}” in
aarch64)
    cpu_module=...
    ;;
amd64|i386)
    cpu_module=...
    ;;
esac

The above change would break some testing on i386.

PS please pardon my editing. I’m submitting the comment via my iPhone).

val_packett.cool marked an inline comment as done.
In D21018#456270, @ngie wrote:

Could you please test this change out on amd64?

Yes, works fine of course.

tests/sys/opencrypto/runtests.sh
67 ↗(On Diff #59995)

Of course Intel added AES-NI to the 32-bit mode, why did I assume that all new features were restricted to 64-bit.. Sorry :D

Updated the patch.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 10 2019, 3:53 PM
This revision was automatically updated to reflect the committed changes.